
const state = {
  noLoading: false,
}

const mutations = {
  SET_LOADING: (state, loading) => {
    state.noLoading = loading
  },
}

const actions = {
  handler({ commit }, loading){
    return new Promise((resolve, reject) => {
      commit('SET_LOADING', loading)
      resolve()
    })
  }
}

export default {
  namespaced: true,
  state,
  actions,
  mutations
}
